Please sign in to your GRAPHISOFT ID

Fields are required.


Forgot password?

System Requirements for GRAPHISOFT Products

Operating Systems for ARCHICAD 18

Recommended Operating Systems
Notes on older systems

Hardware for ARCHICAD 18

Recommended hardware

You can find more details about recommended hardware on Help Center.

Minimum hardware

Other Software

Java 1.7 or later is required. You can find details here:

Note: ARCHICAD installer will automatically install Java 1.7, if it is not present on your computer.

Optional Hardware Peripherals

All major plotters, printers and digitizers can be used with ARCHICAD.


Fast Internet access is needed for connecting to BIM Server in a remote location and to download updates for ARCHICAD 18.

Protection Key

You will need an ARCHICAD 18 WIBU-Box / CodeMeter hardware key or CodeMeter Act software protection key to start ARCHICAD 18.

System Requirements for Previous Versions